curl -X DELETE "https://api.magpipe.ai/functions/v1/custom-functions/789e0123-e89b-12d3-a456-426614174000" \
-H "Authorization: Bearer YOUR_API_KEY"
{
"success": true,
"message": "Custom function deleted"
}
{
"error": "Custom function not found"
}
Custom Functions
Delete Custom Function
Delete a custom function
DELETE
/
custom-functions
/
{id}
curl -X DELETE "https://api.magpipe.ai/functions/v1/custom-functions/789e0123-e89b-12d3-a456-426614174000" \
-H "Authorization: Bearer YOUR_API_KEY"
{
"success": true,
"message": "Custom function deleted"
}
{
"error": "Custom function not found"
}
Permanently delete a custom function. The agent will no longer be able to call this function.
Path Parameters
string
required
UUID of the custom function to delete
Response
Returns a success message on deletion.curl -X DELETE "https://api.magpipe.ai/functions/v1/custom-functions/789e0123-e89b-12d3-a456-426614174000" \
-H "Authorization: Bearer YOUR_API_KEY"
{
"success": true,
"message": "Custom function deleted"
}
{
"error": "Custom function not found"
}